AntiFeatures:
  NonFreeNet:
    en-US: Rely on kepler-chemnitz.de.
Categories:
  - Science & Education
License: GPL-3.0-only
WebSite: https://kepler-chemnitz.de
SourceCode: https://github.com/AntonioAlbt/kepler_app
IssueTracker: https://github.com/AntonioAlbt/kepler_app/issues

AutoName: Kepler-App

RepoType: git
Repo: https://github.com/AntonioAlbt/kepler_app
Binaries: https://github.com/AntonioAlbt/kepler_app/releases/download/v%v/app-release.apk

Builds:
  - versionName: 2.1.1
    versionCode: 51
    commit: 0a9241521e0b3de53a6a8a53d2a75196a0f1b06c
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@stable
    prebuild:
      - export FLUTTER_VERSION=$(sed -n -E "s/.*flutter-version:\s'(.*)'/\1/p" .github/workflows/flutter.yml)
      - pushd $$flutter$$
      - git checkout -f $FLUTTER_VERSION
      - popd
      - export repo=/home/runner/work/kepler_app
      - mkdir -p $repo
      - cd ..
      - mv de.keplerchemnitz.kepler_app $repo/kepler_app
      - pushd $repo/kepler_app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - popd
      - mv $repo/kepler_app de.keplerchemnitz.kepler_app
    scandelete:
      - .pub-cache
    build:
      - export repo=/home/runner/work/kepler_app
      - cd ..
      - mv de.keplerchemnitz.kepler_app $repo/kepler_app
      - pushd $repo/kepler_app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk
      - popd
      - mv $repo/kepler_app de.keplerchemnitz.kepler_app

  - versionName: 2.1.3
    versionCode: 53
    commit: c4e42009437c2490ef169c66263ecd05b68431e8
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@stable
    prebuild:
      - export FLUTTER_VERSION=$(sed -n -E "s/.*flutter-version:\s'(.*)'/\1/p" .github/workflows/flutter.yml)
      - pushd $$flutter$$
      - git checkout -f $FLUTTER_VERSION
      - popd
      - export repo=/home/runner/work/kepler_app
      - mkdir -p $repo
      - cd ..
      - mv de.keplerchemnitz.kepler_app $repo/kepler_app
      - pushd $repo/kepler_app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - popd
      - mv $repo/kepler_app de.keplerchemnitz.kepler_app
    scandelete:
      - .pub-cache
    build:
      - export repo=/home/runner/work/kepler_app
      - cd ..
      - mv de.keplerchemnitz.kepler_app $repo/kepler_app
      - pushd $repo/kepler_app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk
      - popd
      - mv $repo/kepler_app de.keplerchemnitz.kepler_app

  - versionName: 2.1.4
    versionCode: 54
    commit: 63c16d74927ae63781ba489f4883f0e105b7a370
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@stable
    prebuild:
      - export FLUTTER_VERSION=$(sed -n -E "s/.*flutter-version:\s'(.*)'/\1/p" .github/workflows/flutter.yml)
      - pushd $$flutter$$
      - git checkout -f $FLUTTER_VERSION
      - popd
      - export repo=/home/runner/work/kepler_app
      - mkdir -p $repo
      - cd ..
      - mv de.keplerchemnitz.kepler_app $repo/kepler_app
      - pushd $repo/kepler_app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - popd
      - mv $repo/kepler_app de.keplerchemnitz.kepler_app
    scandelete:
      - .pub-cache
    build:
      - export repo=/home/runner/work/kepler_app
      - cd ..
      - mv de.keplerchemnitz.kepler_app $repo/kepler_app
      - pushd $repo/kepler_app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk
      - popd
      - mv $repo/kepler_app de.keplerchemnitz.kepler_app

  - versionName: 2.2.1
    versionCode: 56
    commit: 705f22329780a0c13d23fbe85fd32008e267f520
    sudo:
      - mkdir -p /home/runner
      - chown vagrant /home/runner
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@stable
    prebuild:
      - export FLUTTER_VERSION=$(sed -n -E "s/.*flutter-version:\s'(.*)'/\1/p" .github/workflows/flutter.yml)
      - pushd $$flutter$$
      - git checkout -f $FLUTTER_VERSION
      - popd
      - export repo=/home/runner/work/kepler_app
      - mkdir -p $repo
      - cd ..
      - mv de.keplerchemnitz.kepler_app $repo/kepler_app
      - pushd $repo/kepler_app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter packages pub get
      - popd
      - mv $repo/kepler_app de.keplerchemnitz.kepler_app
    scandelete:
      - .pub-cache
    build:
      - export repo=/home/runner/work/kepler_app
      - cd ..
      - mv de.keplerchemnitz.kepler_app $repo/kepler_app
      - pushd $repo/kepler_app
      - export PUB_CACHE=$(pwd)/.pub-cache
      - $$flutter$$/bin/flutter build apk
      - popd
      - mv $repo/kepler_app de.keplerchemnitz.kepler_app

AllowedAPKSigningKeys: 59af83d00acacb4dab172a03e83ace09106be7f606b1b597839735880808fb5a

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2.2.1
CurrentVersionCode: 56
